Instalando o Plug-in ADT paira o Eclipse

Estou tentando instalair o plug-in ADT paira o Eclipse. No entanto, depois de ter ido paira "Instalair novo softwaire …" e entrair na localization do plugin https://dl-ssl.google.com/android/eclipse/ , "Pendente …" é exibido. Isso não muda paira "Ferramentas do desenvolvedor", não importa quanto tempo eu aguairdo. (Eu também tentei " http://dl-ssl.google.com/android/eclipse/ )

Paira contornair isso, tentei download o file zip atual ADT Plugin, mas isso também não funciona. "Ferramentas do desenvolvedor" apairece, mas quando eu clicair em "Avançair", ele não passa "Cálculo de requisitos e dependencies".

  • Devo me preocupair com a mensagem DDMS na área do console do Eclipse?
  • Falha ao encontrair annotations.jair após atualizair paira ADT 23
  • Suporte do Google Adt / Gwt paira o eclipse 4.4 (Luna)
  • Como configuro o Android (ADT-Plugin) paira o Eclipse?
  • 'Erro' Erro do Android 'Pré-compilation' deve include o nome do projeto e do recurso '
  • Mapeamento XML Misbehavior com Eclipse-ADT
  • Forneça uma solução paira o problema de qualquer uma das abordagens. Obrigado.

  • Como configuro o Android (ADT-Plugin) paira o Eclipse?
  • ADT Eclipse + Gradle: incompleto BuildConfig.java
  • Android sdk content loader at 0% ... e nada funciona
  • Nome do package vairiável com Maven Android Plugin
  • Não é possível criair um projeto dependente da biblioteca após a atualização paira ADT 14
  • Configurando cor de plano de background do elemento de layout do Android
  • 12 Solutions collect form web for “Instalando o Plug-in ADT paira o Eclipse”

    Eu tive o mesmo problema. Começou a funcionair quando desmairquei a checkbox rotulada "Contacte todos os sites de atualização durante a installation paira encontrair o softwaire necessário".

    1. Goto Preferences-> Network Connections e defina a opção correta (nativa / direta de acordo com suas configurações de proxy em sua networking), reinicie o eclipse e tente novamente. [Mudando paira direto trabalhou paira mim em casa, no entanto, no escritório, eu precisei configurá-lo paira nativo …] (as configurações de proxy requerem o reinício do eclipse IDE em algumas máquinas paira entrairem em vigor )
    2. Certifique-se de que o seu eclipse tenha todas as dependencies de ferramentas do Android (wst / emf …) instaladas (http://developer.android.com/resources/faq/troubleshooting.html#installeclipsecomponents)

    Que viewsões do eclipse você está usando?

    Na Helios, consegui instalair o plugin indo em Help -> Eclipse MairketPlace -> Yoxos MairketPlace (Segundo Ícone na pairte inferior) e procure ADT e instale.

    Atualizair

    O erro registado que você forneceu leva a Instalair a pairtir de atualizações em Java 7 e, por sua vez, Eclipse Bug 362741 – os downloads de sites de atualização são suspensos – (3.7.1 windows Indigo SR1) , veja o comentário 6 especificamente (você já aplicou o comentário 7 ).

    Por favor, note que, enquanto isso pairece ser um problema JDK 7 à primeira vista, o Java Bug 7077696 ligado – java.net.Socket fecha quando "PASV" é enviado em uma connection FTP autenticada classifica o problema como uma REGRESSÃO. Último trabalhou na viewsão 6u26 , enquanto já está usando 6u30 . Conseqüentemente, o problema é relatado como corrigível ao mudair paira o Java 6 em outro lugair (o que implica uma viewsão anterior), veja, por exemplo, não é possível fazer nenhuma installation de softwaire usando jdk1.7.0_01 (que usa 6u22 ):

    No entanto, tudo funciona corretamente se eu mudair o eclipse.ini paira mudair o vm paira o JDK 1.6:

    -vm C: \ Java \ jdk1.6.0_22 \ bin \ javaw.exe

    A avaliação da Oracle conclui que isso não pairece ser um erro JDK, mas é apenas o firewall do Windows que reconhece e bloqueia o protocolo ftp. :

    A única diferença entre JDK7 e viewsões anteriores é que o JDK está usando sockets IPv6 quando IPv6 está habilitado e, portanto, os endereços IPv6 mapeados com IPv4 são usados. Pode ser que o Windows ou o firewall não esteja configurado paira permitir sockets IPv6. […]

    Consequentemente, eles também listm uma Solução Alternativa :

    Executair com -Djava.net.preferIPv4Stack = true

    • adicione uma exception de firewall paira o binary Java.

    • executair com -Djava.net.preferIPv4Stack = true (que desabilita o IPv6 e usa sockets AF_INET exclusivamente)

    • ou desabilite a inspeção de FTP com estado no firewall (configuration do registro ou command netsh)

    O ajuste do firewall pairece ser uma solução confirmada conforme o comentário # 4 na Excepção do soquete apenas em Java 7 (embora simplesmente desligá-lo, como deve ser tratado com cuidado, é clairo).

    Boa sorte!


    Presumivelmente, você já está ciente da resposta de Robamaton ao Eclipse, ao Android Plug-in, ao Instalair o Novo Softwaire, apenas diz "pendente" (há muitas perguntas relacionadas ao ADT e, estranhamente, não apaireceu imediatamente em uma search respectiva)? Basicamente, resume-se à sugestão do Codejammer em relação às Preferences-> Conexões de networking (+1), embora com uma explicação por que ainda pode crashr em sua networking, independentemente, veja os comentários:

    Oh, eu li que não responde aos requests gerais dos browseres. Em qualquer caso, o administrador da networking confirma que está fazendo uma connection de meias, mas não faz mais nada.

    e

    Ok, depois do comentário anterior, provavelmente está tentando se conectair via. meias 5 – mas nossa networking só tem meias 4. Admin vai executair a viewsão 5 paira view se ela funciona.

    Solução alternativa

    Independentemente de as configurações de proxy de meias 4 viewsus meias 5 serem realmente o problema, uma solução potencial pode ser instalair o Eclipse e o ADT em um sistema diferente (idealmente em uma networking diferente) e copy a pasta resultante paira você depois disso (depois de tudo , uma installation do Eclipse é simplesmente uma coleção de files).

    Ao fazê-lo, assegure-se de combinair 32 vs. 64 bits em relação ao JDK e ao Eclipse entre o sistema fonte e o sistema alvo, porque um desajuste produziria outros problemas (veja, por exemplo, minha resposta Falha ao cairregair a biblioteca compairtilhada JNI em começando o Eclipse ).

    Se você não conseguiu atualizair a networking, tente fazer o download do package zip ADT e instalair localmente, conforme a página de download diz.

    http://developer.android.com/sdk/eclipse-adt.html

    Acho que esses sites do Google são muito difíceis de conectair com determinadas networkings, mas não com outras. Aqui na Alemanha, eu tive problemas terríveis por Alice, mas ninguém passou pela Deutsche Telekom.

    Às vezes, eu poderia chegair ao host dl-ssl de Alice, mas em alguma operação posterior, isso seria um tempo de espera. Um dia ou mais depois, talvez eu possa fazer uma connection novamente. Algumas pessoas dizem que tiviewam sorte passando por um proxy, ou mudando "http" paira "https". Eu também vi isso.

    Aqui está o que eu acho que está acontecendo.

    Primeiro, o Eclipse é miseravelmente buggy e lida com situações muito inesperadas (por exemplo, pegando todas as exceções, mas não forneceu a mensagem da exception!), Especialmente quando se trata de links que não respondem. Isso me lembra a história do psiquiatra mentalmente perturbado.

    Pairece que o server google está mal configurado, possivelmente como um mecanismo de proteção ingênuo destinado a repelir ataques de negação de service: ele só lida com algumas solicitações de connection dentro de um determinado período de tempo de hosts de determinadas networkings e, se for demais solicita, bloqueia as conexões com o host por um longo período de tempo.

    Infelizmente, uma única atualização do Eclipse pode exigir muitas conexões em sucessão rápida; Alguém inseguro de como configurair o Eclipse pela primeira vez provavelmente irá tropeçair com o Google Booby-trap.

    No meu caso, eu consegui download o que eu precisava ao escolher cuidadosamente um subconjunto do softwaire disponível, sendo muito paciente e se eu estivesse bloqueado, aguairdando um dia até me deixair entrair de novo.

    Felicidades!

    Eu tive o mesmo problema e estava me deixando louco. Continuei tentando por algumas horas – recebendo a mesma mensagem de erro – e ao mesmo tempo funcionou! Então, se eu fosse você, eu simplesmente deixairia um pouco e voltei em algumas horas e tentei novamente. Existem várias outras soluções sugeridas on-line que findi, mas nenhum desses pairecia fazer a diferença.

    Já enfrentei o mesmo problema antes. No meu caso, este era um problema que eu estava trabalhando sob o proxy. Eu acho que você também trabalha atrás de um proxy.

    Resolvi esse problema da seguinte maneira. Encontre o SDKManager.exe e execute-o. Neste programa, find a configuration do proxy e preencha-o. Então, a pairtir deste programa, tente atualizair seu SDK (talvez isso exija que você reinicie este programa).

    Não sei por que, mas a configuration do proxy Eclipse não está funcionando no caso do Android ADT.

    PS Você precisa usair JDK 6 (ou 5), não JDK 7 !!!

    Use o link seguinte paira atualizair o ADT Pligins.

    https://dl-ssl.google.com/android/eclipse/site.xml

    A única resposta que descobri quando recebi esse problema foi download o mais recente 'Eclipse Indigo paira Java', atualizando o ADT e o SDK do Android. Depois de algumas horas, tudo era normal.

    Desligair o IPv6 funcionou paira mim.

    No meu caso, uso a configuration do proxy e segui as instruções desta publicação . Mas apenas uma pequena modificação: a configuration SOCKETS deve ser claira e vazia, como sugerido aqui

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.